package labss.lang.il.model.impl;

import java.io.*;

import labss.lang.il.model.*;

/**
 * @author Riccardo Solmi
 */
public class IfStatement implements Statement {
	private Expression exp;
	private Statement thenStm;

  public IfStatement(Expression exp, Statement thenStm) {
    this.exp = exp;
    this.thenStm = thenStm;
  }

  public void prettyPrint(PrintStream out) {
    out.print("if (");
    exp.prettyPrint(out);
    out.println(") {");
    thenStm.prettyPrint(out);
    out.println("}");
  }

  public void execute() {
    if (exp.evaluate().booleanValue())
      thenStm.execute();
  }
}